Обновление PostgreSQL: 8.2.2, 8.1.7, 8.0.11, 7.4.16 и 7.3.18

06.02.2007 08:08

В связи с исправлением нескольких ошибок связанных с безопасностью вышли внеплановые обновления всех поддерживаемых версий PostgreSQL - 8.2.2, 8.1.7, 8.0.11, 7.4.16 и 7.3.18.

Уязвимость позволяет злоумышленнику, имеющему доступ на выполнение SQL команд, вызвать крах управляющего процесса PostgreSQL или прочитать случайный блок памяти процесса.

Новая информация: Выпущенные релизы PostgreSQL 8.2.2 и 8.1.7 были отозваны, из-за наличия нерешенных проблем типами данных typemod. Взамен выпущены релизы PostgreSQL 8.2.3, 8.1.8 и 8.0.12.